# See dos how to configure the bundle: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # As mentioned above, gd, imagick or gmagick are possible
    #    driver: "imagick"

    # This is where all the filters sets are located
    filter_sets:
        avatar.sm:
            quality: 100
            filters:
                thumbnail: { size: [128, 128], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        avatar.md:
            quality: 100
            filters:
                thumbnail: { size: [350, 350], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }

        product.sm:
            quality: 100
            filters:
                thumbnail: { size: [350, 350], mode: inset, allow_upscale: true }
               # watermark: { image: ../public/images/logos/fcpo.png, size: 0.1, position: topleft}
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }

        product.md:
            quality: 100
            filters:
                thumbnail: { size: [700, 700], mode: inset, allow_upscale: true }
               # watermark: { image: ../public/images/logos/fcpo.png, size: 0.1, position: topleft}
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }

        slide.sm:
            quality: 100
            filters:
                thumbnail: { size: [510, 395], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }
        slide.md:
            quality: 100
            filters:
                thumbnail: { size: [340, 395], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }
        slide.lg:
            quality: 100
            filters:
                thumbnail: { size: [1110, 480], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }
        banner.sm:
            quality: 100
            filters:
                thumbnail: { size: [510, 390], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }
        banner.md:
            quality: 100
            filters:
                thumbnail: { size: [110, 170], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }
        category.sm:
            quality: 100
            filters:
                thumbnail: { size: [370, 230], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
            #                jpegoptim: { strip_all: true, max: 70, progressive: true }
        category.md:
            quality: 100
            filters:
                thumbnail: { size: [370, 230], mode: inset, allow_upscale: true }
            post_processors:
                optipng: { strip_all: true, level: 7 }
        #                jpegoptim: { strip_all: true, max: 70, progressive: true }



